import * as React from "react";
import { TabComponentProps } from "../Tabs";
export interface TokenRequirementStyleProps {
    step?: string;
    padding?: boolean;
}
export declare const TokenAccountOuter: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const TokenSection: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const PaypalDonateContainer: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const PaypalDonateIconContainer: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const PaypalDonateIconButtonContainer: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const PaypalLogoContainer: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const PaypalDonateIconButton: import("styled-components").StyledComponent<"input", any, {}, never>;
export declare const PaypalDonate: React.FunctionComponent;
export declare const TokenAccountInner: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const TokenBtns: import("styled-components").StyledComponent<(props: import("../Button").ButtonProps) => JSX.Element, any, {}, never>;
export declare const TokenBtnsInverted: import("styled-components").StyledComponent<(props: import("../Button").ButtonProps) => JSX.Element, any, {}, never>;
export declare const FlexColumns: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const FlexColumnsPrimary: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const FlexColumnsPrimaryModule: import("styled-components").StyledComponent<"div", any, TokenRequirementStyleProps, never>;
export declare const FlexColumnsSecondary: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const FlexColumnsSecondaryModule: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const TokenHeader: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const TokenAccountSectionHeader: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const TokenRequirement: import("styled-components").StyledComponent<"div", any, TokenRequirementStyleProps, never>;
export declare const TokenRequirementIcon: import("styled-components").StyledComponent<"div", any, TokenRequirementStyleProps, never>;
export declare const TokenCheckIcon: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const TokenBuySection: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const TokenBuyIntro: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const TokenAirswapSection: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const TokenSellSection: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const TokenOrBreak: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const TokenProgressContain: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const TokenFAQCollapse: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const TokenFAQImg: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const TokenFAQLineBreak: import("styled-components").StyledComponent<"hr", any, {}, never>;
export declare const CloseBtn: import("styled-components").StyledComponent<(props: import("../Button").ButtonProps) => JSX.Element, any, {}, never>;
export declare const TokenExchangeSection: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const TokenCalcCVL: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const TokenBuySellComplete: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const TokenUnlock: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const TokenBuySellTab: import("styled-components").StyledComponent<"li", any, TabComponentProps, never>;
export declare const TokenBuySellTabsNav: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const ComingSoon: import("styled-components").StyledComponent<"div", any, {}, never>;
